Create Products

Create your product level data.

👍

Endpoint

Params

  • Accept: application/json
  • Authorization: OAuth2 [Base64 encoded token]

Sample cURL Request

curl -X POST "https://api.jooraccess.com/v4/products/bulk_create" -H  "accept: application/json" -H  "Content-Type: application/json" -d "[{\"name\":\"string\",\"external_id\":\"string\",\"product_identifier\":\"string\",\"description\":\"string\",\"order_minimum\":0,\"category_ids\":[\"string\"],\"product_trait_values\":[{\"trait_id\":\"string\",\"value\":\"string\",\"external_id\":\"string\"}],\"tags\":[{\"name\":\"string\",\"value\":\"string\",\"code\":\"string\",\"parent_id\":\"string\"}]}]"

Workflow

  1. Use this endpoint to create your product level data.
  2. You will need to reference the product id when using the following endpoints:
  • UPDATE /products
  • CREATE /skus
  • CREATE or UPDATE /collections

Product Data

You can use the GET /categories endpoint to fetch a list of available category ids to associate with your products. Categories are not required, but highly recommended for discovery purposes on the web.

PARAMETERSREQUIREDTYPENOTES
nameYstring

Insert the name of the product

Example: "El Pano Shirt"

external_idNstring

Insert your system id for the product

Example: "SHIRT1"

product_identifierNstring

Insert your system identifier for the product

Example: "SHIRT-1A"

descriptionNstring

Insert the description for the product

Example: "A groovy new shirt"

order_minimumNinteger

Insert the minimum quantity for the product per order

Example: "500"

category_idsN (but recommended)string

Insert the JOOR ids for the categories that the product belongs to

Example: "228"

Product Trait Data

You can use the GET /traits endpoint to fetch the list of available trait IDs to associate with your products. External ids can be assigned to the division, fabrication, and silhouette traits.

PARAMETERSREQUIREDTYPENOTES
trait_idNstring

Insert the id of the trait you want to add to the product. This must be encoded.

Example: "UHJvZHVjdFRyYWl0OkNPVU5UUllPRk9SSUdJTg==" for Country of Origin

valueNstring

Insert the value for the trait you are adding to the product

Example: "Italy"

external_idNstring

Insert your system id for the value you are adding

Example: "IT"

Product Tag Data

You can add custom tags to your products for discovery purposes on the web. They must be assigned to a parent_id, which can be viewed on the web, via the Style Settings page.

PARAMETERSREQUIREDTYPENOTES
nameNstring

Insert the name for the custom tag you are adding to the product

Example: "Fit"

valueNstring

Insert the value for the custom tag you are adding to the product

Example: "Wide"

codeNstring

Insert the code corresponding to the value for the custom tag

Example: "Fit"

parent_idNstring

Insert the JOOR id for the parent of the custom tag

Example: "116554"

Request Example

[
  {
    "name": "product name",
    "external_id": "product123",
    "product_identifier": "productidentifier",
    "description": "product description here",
    "order_minimum": 0,
    "category_ids": [
      "string"
    ],
    "product_trait_values": [
      {
        "trait_id": "string",
        "value": "string",
        "external_id": "string"
      }
    ],
    "tags": [
      {
        "name": "string",
        "value": "string",
        "code": "string",
        "parent_id": "string"
      }
    ]
  }
]

Response Example

{
  "data": [
    {
      "id": "12345678",
      "name": "Pants by eL Pano",
      "external_id": "ELPANO666",
      "product_identifier": "PAN666",
      "description": "eL Pano strikes again",
      "order_minimum": 0,
      "categories": [
        {
          "id": "228",
          "name": "Socks",
          "parent_name": "Apparel",
          "department": "Men's"
        }
      ],
      "product_trait_values": [
        {
          "trait": {
            "id": "U0tVVHJhaXQ6U3R5bGVDb2xvcg==",
            "name": "Color"
          },
          "value": "HOT PINK",
          "external_id": "PINK"
        },
        {
          "trait": {
            "id": "U0tVVHJhaXQ6U2l6ZQ==",
            "name": "Size"
          },
          "value": "XXL",
          "external_id": "XXL"
        }
      ],
      "tags": [
        {
          "id": "1234",
          "name": "Silhouette",
          "value": "Extra Thicc",
          "code": "666",
          "parent_id": "6666"
        }
      ]
    }
  ],
  "errors": []
}